Loading...
Searching...
No Matches
physics.h File Reference

Responsible for physics "and more" in game. More...

`#include "common/error.h"`
`#include "math/vector.h"`
`#include "object/object_type.h"`
`#include "object/interface/trace_drawing_object.h"`
Include dependency graph for physics.h:

## Classes

struct | Motion
class | CPhysics

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | PhysicsMode { MO_ADVACCEL = 0 , MO_RECACCEL = 1 , MO_STOACCEL = 2 , MO_MOTACCEL = 3 , MO_ADVSPEED = 4 , MO_RECSPEED = 5 , MO_MOTSPEED = 6 , MO_CURSPEED = 7 , MO_TERFORCE = 8 , MO_TERSPEED = 9 , MO_TERSLIDE = 10 , MO_REASPEED = 11 }

## Detailed Description

Responsible for physics "and more" in game.